package com.hi.music.player.javabean.response;

import androidx.annotation.Nullable;

import com.hi.music.player.javabean.response.child.ResponseHomeChild;

import java.util.List;

public class ResponseHome {


    //用于更多数据请求的cit
    private String clickTrackingParams;

    //用于更多数据请求的ctoken
    private String continuation;

    @Nullable
    //用于更多数据请求的visitorData(只有第一个接口会返回该值,youtubei/v1/browse?prettyPrint=false)
    private String  visitorData;

    @Nullable
    private String backgroundUrl;
    private List<ResponseHomeChild> childList;


    public List<ResponseHomeChild> getChildList() {
        return childList;
    }

    public void setChildList(List<ResponseHomeChild> childList) {
        this.childList = childList;
    }

    public String getClickTrackingParams() {
        return clickTrackingParams;
    }

    public void setClickTrackingParams(String clickTrackingParams) {
        this.clickTrackingParams = clickTrackingParams;
    }

    public String getContinuation() {
        return continuation;
    }

    public void setContinuation(String continuation) {
        this.continuation = continuation;
    }

    public String getVisitorData() {
        return visitorData;
    }

    public void setVisitorData(String visitorData) {
        this.visitorData = visitorData;
    }

    public String getBackgroundUrl() {
        return backgroundUrl;
    }

    public void setBackgroundUrl(String backgroundUrl) {
        this.backgroundUrl = backgroundUrl;
    }


}
